import request from '@/utils/request'

// 新增
export function companyAdd(query) {
    return request({
        url: '/company',
        method: 'post',
        data: query
    })
}
export function imgAdd(query) { // 图片上传
    return request({
        url: '/file/upload',
        method: 'post',
        data: query
    })
}
export function imgDel(params) { // 图片删除
    return request({
        url: '/file/delete',
        method: 'get',
        params
    })
}
// export function companyAdd(query) {
//   return request({
//       url: '/company',
//       method: 'post',
//       data: query
//   })
// }
// 修改
export function companyUpdata(data) {
    return request({
        url: '/company',
        method: 'put',
        data: data
    })
}
// 删除
export function companyDel(deptId) {
    return request({
        url: '/company/' + deptId,
        method: 'delete',
    })
}
// 查询
export function companyList(query) {
    return request({
        url: '/company/list',
        method: 'get',
        params: query
    })
}


//图片上传获取四步曲
// 获取上传图片批次id
// export function fileId(query) { // batchNo（文件批次id）
//     return request({
//         url: '/sysFile/generateBatchNo',
//         method: 'get',
//         params: query
//     })
// }
// 上传图片
export function uploadFileApi(a, b, c) { // batchNo（文件批次id）、businessType（文件应用场景）、uploadType（file / url ）
    return request({
        url: '/sysFile' + "?batchNo=" + a + "&businessType=" + b + "&uploadType=file",
        method: 'post',
        data: c
    })
}
// 图片生效
export function fileTakeEffect(batchNo, ids) { // batchNo（文件批次id）
    return request({
        url: '/sysFile/active?batchNo=' + batchNo,
        method: 'post',
        data: ids
    })
}
// 获取图片url 单张
export function getFile(data) {
    return request({
        url: '/sysFile/getFile',
        method: 'post',
        data: data
    })
}

// 获取图片url 多张
export function getFileArray(data) {
    return request({
        url: '/sysFile/files',
        method: 'post',
        data: data
    })
}